Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.ejb
Class GenericEntityBean

    java.lang.Object
      weblogic.ejb.GenericEnterpriseBean
          weblogic.ejb.GenericEntityBean

All Implemented Interfaces:
  EnterpriseBean, EntityBean, Serializable

public abstract class GenericEntityBean
extends GenericEnterpriseBean
implements EntityBean

See Also:
  Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`GenericEntityBean()`

Method Summary
`void` | `ejbActivate()`
`void` | `ejbLoad()`
`void` | `ejbPassivate()`
`void` | `ejbRemove()`
`void` | `ejbStore()`
`protected EntityContext` | `getEntityContext()`
`void` | `setEntityContext(EntityContext c)`
`void` | `unsetEntityContext()`

Methods inherited from class weblogic.ejb.GenericEnterpriseBean
`getCurrentTransaction, getCurrentTransactionStatus, getCurrentXID, getEnvEntry, getInitialContext, getTransactionManager, isTracingEnabled, logDebugMessage, logDebugMessage, logErrorMessage, logErrorMessage, setTracingEnabled, trace, trace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericEntityBean

    public GenericEntityBean()

Method Detail

### ejbActivate

    public void ejbActivate()

  Specified by:
    `ejbActivate` in interface `EntityBean`

### ejbLoad

    public void ejbLoad()

  Specified by:
    `ejbLoad` in interface `EntityBean`

### ejbPassivate

    public void ejbPassivate()

  Specified by:
    `ejbPassivate` in interface `EntityBean`

### ejbRemove

    public void ejbRemove()

  Specified by:
    `ejbRemove` in interface `EntityBean`

### ejbStore

    public void ejbStore()

  Specified by:
    `ejbStore` in interface `EntityBean`

### getEntityContext

    protected EntityContext getEntityContext()

### setEntityContext

    public void setEntityContext(EntityContext c)

  Specified by:
    `setEntityContext` in interface `EntityBean`

### unsetEntityContext

    public void unsetEntityContext()

  Specified by:
    `unsetEntityContext` in interface `EntityBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD